import { JavaObject } from '../../../java/lang/JavaObject';
export declare class JahrgangsDaten extends JavaObject {
    id: number;
    kuerzel: String | null;
    kuerzelStatistik: String | null;
    bezeichnung: String | null;
    sortierung: number;
    idSchulgliederung: String | null;
    idFolgejahrgang: Number | null;
    istSichtbar: boolean;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): JahrgangsDaten;
    static transpilerToJSON(obj: JahrgangsDaten): string;
    static transpilerToJSONPatch(obj: Partial<JahrgangsDaten>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_jahrgang_JahrgangsDaten(obj: unknown): JahrgangsDaten;
